Chamilo LMS - Bug #7237

Hidden exercises appear in lessons in session report chart

21/08/2014 15:51 - Yannick Warnier

Status: Bug resolved Start date: 21/08/2014

Priority: Urgent Due date:

Assignee: Julio Montoya % Done: 100%

Category: Sessions Estimated time: 0.00 hour

Target version: 1.9.10 Spent time: 0.00 hour

Complexity: Normal SCRUM pts - ?
complexity:

Description

To reproduce (quite complex case):

°

create a student
create a course

¢ create a session and include the course and the student in it
go to the session+course and create 3 quizzes with one question each and a publication date (and a publication end date)
now create a learning path with a publication date (and end date)

include one of the quizzes in the learning path

Observation: here the quiz that you include in the learning path should be automatically "hidden" in the quizzes list (in exercise tool).

This is OK.

Now connect as the student. You should see the session name and the course name in your courses list.

click the session's name
click the "My stats" tab inside this screen
you see a chart of all the exercises

you also see the hidden exercise (the one included in the learning path)
this is wrong (because as an exercise included in a learning path, the results should not show at the same place)

So, the issue here is to make a change in the code that shows the graphic on that session "My stats" tab to hide all the elements of
¢_quiz that are included in a learning path ("c_lp.c_id = ¢_quiz.c_id and c_lp_item.type = 'quiz’ and c_lp_item.path = c_quiz.id" or

something like that).

Associated revisions

Revision 0358044b - 03/09/2014 19:52 - Yoselyn Castillo

adding option for hidding private exercises course -refs #7237

Revision b8cd7887 - 24/09/2014 14:03 - Julio Montoya

Only active exercise see #7237

Revision 74ce6a86 - 24/09/2014 14:45 - Julio Montoya

Only active exercise see #7237

History

#1 - 25/08/2014 06:21 - Yoselyn Castillo
- % Done changed from 0 to 70

changes were sent to https:/github.com/chamilo/chamilo-Ims/pull/341

#2 - 03/09/2014 20:18 - Yoselyn Castillo

The pull was replaced by https://github.com/chamilo/chamilo-lms/pull/346

#3 - 23/09/2014 22:39 - Yannick Warnier

- Priority changed from Normal to Urgent
https://github.com/chamilo/chamilo-lms/pull/341
https://github.com/chamilo/chamilo-lms/pull/346

Yoselyn, estas segura que este cambio no afecta a lo demas en Chamilo (otras listas de ejercicios)? He hecho merge de tu PR un poco rapido, y
ahora estoy preocupado de que esto influencie todo lo demas (en particular las listas en los ejercicios, etc).

Podrias por favor afiadir un parametro $includeNonActive = true, a la funcién get_all_exercises(), que solo active tu condicién adicional cuando esta
en false, y hacer los cambios respectivos solo para esta llamada?

Tienes que ser muy cuidadosa con este tipo de cambios a funciones genéricas.

#4 - 24/09/2014 13:13 - Julio Montoya

La definicion de la funcion "get_all_exercises" ya tiene un filtro de "active" no es necesario agregarle otro mas.

function get_all_exercises ($course_info = null, $session_id = 0, $check_publication_dates = false, $search_exe

rcise = , S$search_all_sessions = false, S$Sactive = 2) {

#5 - 24/09/2014 13:39 - Julio Montoya

- Assignee changed from Yoselyn Castillo to Julio Montoya

#6 - 24/09/2014 14:08 - Julio Montoya
- Status changed from Assigned to Needs testing

- Assignee changed from Julio Montoya to Yoselyn Castillo

He enviado unos cambios:

https://github.com/chamilo/chamilo-Ims/commit/b8cd78874a63f4c2479bb1ebb344fcfc57407dff
https://github.com/chamilo/chamilo-Ims/commit/a552a2136194fe49af3cfe114bdeb878bf68da2b
https://github.com/chamilo/chamilo-Ims/commit/2d0c08b3d3e3822baf1acda451c2e0240f70fcf0

#7 - 29/09/2014 05:00 - Yoselyn Castillo

- Assignee changed from Yoselyn Castillo to Yannick Warnier

After changes applied, i don't see the hidden exercises in report chart. It works ok for me.
Yannick | leave you to close the task because you may want verify something else.

#8 - 12/10/2014 08:21 - Yannick Warnier
- Status changed from Needs testing to Bug resolved
- Assignee changed from Yannick Warnier to Julio Montoya

- % Done changed from 70 to 100

Reviewed, approved and closed
